##
# This file is part of WhatWeb and may be subject to
# redistribution and commercial restrictions. Please see the WhatWeb
# web site for more information on licensing and terms of use.
# http://www.morningstarsecurity.com/research/whatweb
##
Plugin.define "Plesk" do
author "Andrew Horton"
version "0.1"
description "Plesk is a web control panel Homepage: http://www.parallels.com/products/plesk/"
examples %w| 119.47.117.109 119.47.116.250 124.198.191.234 |

# 2006
# <img src='def_plesk_logo.gif' alt="Plesk logo">
# <h1>This is the Plesk&#153; default page</h1>
# <p>For more information please contact <!--@adminemail@-->

# newer
# img/common/def_plesk_logo.gif
# <p>For more information please contact <!--@adminemail@-->

# 192.47.116.250
# <a target="_blank" href="http://www.parallels.com"><img src="img/common/parallels_powered.gif" title="Powered by Parallels&trade;"></a>


# http://202.89.57.34
# 1999-2006 version
# <title>Default PLESK Page</title>
# <img src='def_plesk_logo.gif' alt="Plesk logo" width="161" height="41">
#  <h1>This is the Plesk&#153; default page</h1>


# http://119.47.118.185/
# -2009 version
# <title>Default Parallels Plesk Panel Page</title>
# <h1><a class="product-logo" href="http://www.parallels.com/plesk/" title="Parallels Plesk Panel">Parallels Plesk Panel</a></h1>
# &copy; Copyright 1999-2009, Parallels<br />
# <p><strong>This page is generated by <a href="http://www.parallels.com/plesk/">Parallels Plesk Panel</a>
# This page was generated by <a href="http://www.parallels.com/en/products/plesk/">Parallels Plesk Panel</a>


matches [
{:name=>"logo gif", 
:probability=>100,
:regexp=>/<img src='def_plesk_logo.gif' alt="Plesk logo"/ },

{:name=>"<!--@adminemail@-->", 
:probability=>100,
:regexp=>/<p>For more information please contact <!--@adminemail@-->/ },

{:name=>"poweredBy parallels", 
:probability=>100,
:regexp=>/<a target="_blank" href="http:\/\/www.parallels.com"><img src="[^"]+\/parallels_powered.gif" title="Powered by Parallels&trade;"><\/a>/ },

{:name=>"title", 
:probability=>100,
:regexp=>/<title>Default PLESK Page<\/title>/ },

{:name=>"h1 tag - this is the plesk default page",
:probability=>100,
:regexp=>/<h1>This is the Plesk&#153; default page<\/h1>/ }, #"

{:name=>"title", 
:probability=>100,
:regexp=>/<title>Default Parallels Plesk Panel Page<\/title>/ },

{:name=>"h1 plesk link", 
:probability=>100,
:regexp=>/<h1><a class="product-logo" href="http:\/\/www.parallels.com\/plesk\/" title="Parallels Plesk Panel">Parallels Plesk Panel<\/a><\/h1>/ },

{:name=>"copyright parallels", 
:probability=>50,
:regexp=>/&copy; Copyright 1999-2009, Parallels<br \/>/ },

{:name=>"This page is generated by", 
:probability=>100,
:regexp=>/This page is generated by <a href="http:\/\/www.parallels.com\/plesk\/">Parallels Plesk Panel<\/a>/ },

{:name=>"This page was generated by", 
:probability=>100,
:regexp=>/This page was generated by <a href="http:\/\/www.parallels.com\/en\/products\/plesk\/">Parallels Plesk Panel<\/a>/ }

#

]

end

